SQRT(3)

NAME
sqrt, sqrtf, sqrtl - square root function

SYNOPSIS
#include <math.h>

double sqrt(double x);
float sqrtf(float x);
long double sqrtl(long double x);

Link with -lm.

DESCRIPTION
The sqrt() function returns the non-negative square root of x. It fails and sets errno to EDOM, if x is negative.

ERRORS

EDOM
    x is negative.

CONFORMING TO
SVID 3, POSIX, 4.3BSD, ISO 9899. The float and the long double variants are C99 requirements.

SEE ALSO
cbrt(3), csqrt(3), hypot(3)